package com.qmth.jkserver.dto.examProgress;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考试进度分页查询结果
 * @Author: CaoZixuan
 * @Date: 2021-11-12
 */
public class ExamProgressDto {
    @ApiModelProperty(value = "考试任务编号")
    private String examCode;

    @ApiModelProperty(value = "考试任务名称")
    private String examName;

    @ApiModelProperty(value = "批次")
    private String batchName;

    @ApiModelProperty(value = "场次")
    private String stageId;

    @ApiModelProperty(value = "考点代码")
    private String placeCode;

    @ApiModelProperty(value = "考点名称")
    private String placeName;

    @ApiModelProperty(value = "考场代码")
    private String roomCode;

    @ApiModelProperty(value = "考场名称")
    private String roomName;

    @ApiModelProperty(value = "考生名称")
    private String examStudentName;

    @ApiModelProperty(value = "考生准考证号")
    private String examStudentTicketNo;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "检录状态")
    private String registrationStatus;

    @ApiModelProperty(value = "考试状态")
    private String examStatus;

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getExamStudentName() {
        return examStudentName;
    }

    public void setExamStudentName(String examStudentName) {
        this.examStudentName = examStudentName;
    }

    public String getExamStudentTicketNo() {
        return examStudentTicketNo;
    }

    public void setExamStudentTicketNo(String examStudentTicketNo) {
        this.examStudentTicketNo = examStudentTicketNo;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getRegistrationStatus() {
        return registrationStatus;
    }

    public void setRegistrationStatus(String registrationStatus) {
        this.registrationStatus = registrationStatus;
    }

    public String getExamStatus() {
        return examStatus;
    }

    public void setExamStatus(String examStatus) {
        this.examStatus = examStatus;
    }
}
